﻿@page
@model OnlineShop.UI.Pages.Admin.IndexModel
@{
}

<div id="app" class="container">
 <div v-if="!editing">
        <button class="button" @@click="newProduct()">Add new Product</button>
        <table class="table">
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Value</th>
            </tr>
            <tr v-for="(product,index) in products">
                <td>{{product.id}}</td>
                <td>{{product.name}}</td>
                <td>{{product.value}}</td>
                <td> <a @@click="editProduct(product.id, index)">Edit</a></td>
                <td> <a @@click="deleteProduct(product.id, index)">Remove</a></td>
            </tr>
        </table>
    </div>

    <div v-if="editing">
        <div class="field">
            <div class="control">
                <label class="label"> Product name</label>
                <input class="input" v-model="productModel.name"/>
            </div>
        </div>
        <div class="field">
            <div class="control">
                <label class="label"> Product value</label>
                <input class="input" v-model="productModel.value"/>
            </div>
        </div>
        <div class="field">
            <div class="control">
                <label class="label"> Product description</label>
                <input class="input" v-model="productModel.description"/>
            </div>
        </div>
        <button class="button is-warning" @@click="updateProduct" v-if="!productModel.id==0">Update Product</button>
        <button class="button is-success" @@click="createProduct" v-if="!productModel.id!=0">Create Product</button>
        <button class="button" @@click="cancel()">Cancel</button>
    </div>
</div>
@section scripts
{
<script src="https://cdn.jsdelivr.net/npm/vue@2.6.0"></script>
<script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
<script src="~/js/admin/products.js"></script>


}
